Package org.duckdb

# Class DuckDBNative

java.lang.Object
org.duckdb.DuckDBNative

public class DuckDBNative extends Object

## Constructor Summary

Constructors
Constructor
Description
`DuckDBNative()`

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`duckdb_jdbc_appender_append_boolean(ByteBuffer appender_ref, boolean value)`
`protected static void`
`duckdb_jdbc_appender_append_byte(ByteBuffer appender_ref, byte value)`
`protected static void`
`duckdb_jdbc_appender_append_double(ByteBuffer appender_ref, double value)`
`protected static void`
`duckdb_jdbc_appender_append_float(ByteBuffer appender_ref, float value)`
`protected static void`
`duckdb_jdbc_appender_append_int(ByteBuffer appender_ref, int value)`
`protected static void`
`duckdb_jdbc_appender_append_long(ByteBuffer appender_ref, long value)`
`protected static void`
`duckdb_jdbc_appender_append_short(ByteBuffer appender_ref, short value)`
`protected static void`
`duckdb_jdbc_appender_append_string(ByteBuffer appender_ref, String value)`
`protected static void`
`duckdb_jdbc_appender_begin_row(ByteBuffer appender_ref)`
`protected static void`
`duckdb_jdbc_appender_close(ByteBuffer appender_ref)`
`protected static void`
`duckdb_jdbc_appender_end_row(ByteBuffer appender_ref)`
`protected static void`
`duckdb_jdbc_appender_flush(ByteBuffer appender_ref)`
`protected static ByteBuffer`
`duckdb_jdbc_connect(ByteBuffer db_ref)`
`protected static ByteBuffer`
`duckdb_jdbc_create_appender(ByteBuffer conn_ref, byte[] schema_name, byte[] table_name)`
`protected static void`
`duckdb_jdbc_disconnect(ByteBuffer conn_ref)`
`protected static ByteBuffer`
`duckdb_jdbc_execute(ByteBuffer stmt_ref, Object[] params)`
`protected static DuckDBVector[]`
`duckdb_jdbc_fetch(ByteBuffer res_ref)`
`protected static int`
`duckdb_jdbc_fetch_size()`
`protected static void`
`duckdb_jdbc_free_result(ByteBuffer res_ref)`
`protected static boolean`
`duckdb_jdbc_get_auto_commit(ByteBuffer conn_ref)`
`protected static DuckDBResultSetMetaData`
`duckdb_jdbc_meta(ByteBuffer stmt_ref)`
`protected static ByteBuffer`
`duckdb_jdbc_prepare(ByteBuffer conn_ref, byte[] query)`
`protected static String`
`duckdb_jdbc_prepare_type(ByteBuffer stmt_ref)`
`protected static void`
`duckdb_jdbc_release(ByteBuffer stmt_ref)`
`protected static void`
`duckdb_jdbc_set_auto_commit(ByteBuffer conn_ref, boolean auto_commit)`
`protected static void`
`duckdb_jdbc_shutdown(ByteBuffer db_ref)`
`protected static ByteBuffer`
`duckdb_jdbc_startup(byte[] path, boolean read_only)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuckDBNative

public DuckDBNative()

## Method Details

### duckdb_jdbc_startup

protected static ByteBuffer duckdb_jdbc_startup(byte[] path, boolean read_only)

### duckdb_jdbc_shutdown

protected static void duckdb_jdbc_shutdown(ByteBuffer db_ref)

### duckdb_jdbc_connect

protected static ByteBuffer duckdb_jdbc_connect(ByteBuffer db_ref)

### duckdb_jdbc_set_auto_commit

protected static void duckdb_jdbc_set_auto_commit(ByteBuffer conn_ref, boolean auto_commit)

### duckdb_jdbc_get_auto_commit

protected static boolean duckdb_jdbc_get_auto_commit(ByteBuffer conn_ref)

### duckdb_jdbc_disconnect

protected static void duckdb_jdbc_disconnect(ByteBuffer conn_ref)

### duckdb_jdbc_prepare

protected static ByteBuffer duckdb_jdbc_prepare(ByteBuffer conn_ref, byte[] query)

### duckdb_jdbc_prepare_type

protected static String duckdb_jdbc_prepare_type(ByteBuffer stmt_ref)

### duckdb_jdbc_release

protected static void duckdb_jdbc_release(ByteBuffer stmt_ref)

### duckdb_jdbc_meta

protected static DuckDBResultSetMetaData duckdb_jdbc_meta(ByteBuffer stmt_ref)

### duckdb_jdbc_execute

protected static ByteBuffer duckdb_jdbc_execute(ByteBuffer stmt_ref, Object[] params)

### duckdb_jdbc_free_result

protected static void duckdb_jdbc_free_result(ByteBuffer res_ref)

### duckdb_jdbc_fetch

protected static DuckDBVector[] duckdb_jdbc_fetch(ByteBuffer res_ref)

### duckdb_jdbc_fetch_size

protected static int duckdb_jdbc_fetch_size()

### duckdb_jdbc_create_appender

protected static ByteBuffer duckdb_jdbc_create_appender(ByteBuffer conn_ref, byte[] schema_name, byte[] table_name)

### duckdb_jdbc_appender_begin_row

protected static void duckdb_jdbc_appender_begin_row(ByteBuffer appender_ref)

### duckdb_jdbc_appender_end_row

protected static void duckdb_jdbc_appender_end_row(ByteBuffer appender_ref)

### duckdb_jdbc_appender_flush

protected static void duckdb_jdbc_appender_flush(ByteBuffer appender_ref)

### duckdb_jdbc_appender_close

protected static void duckdb_jdbc_appender_close(ByteBuffer appender_ref)

### duckdb_jdbc_appender_append_boolean

protected static void duckdb_jdbc_appender_append_boolean(ByteBuffer appender_ref, boolean value)

### duckdb_jdbc_appender_append_byte

protected static void duckdb_jdbc_appender_append_byte(ByteBuffer appender_ref, byte value)

### duckdb_jdbc_appender_append_short

protected static void duckdb_jdbc_appender_append_short(ByteBuffer appender_ref, short value)

### duckdb_jdbc_appender_append_int

protected static void duckdb_jdbc_appender_append_int(ByteBuffer appender_ref, int value)

### duckdb_jdbc_appender_append_long

protected static void duckdb_jdbc_appender_append_long(ByteBuffer appender_ref, long value)

### duckdb_jdbc_appender_append_float

protected static void duckdb_jdbc_appender_append_float(ByteBuffer appender_ref, float value)

### duckdb_jdbc_appender_append_double

protected static void duckdb_jdbc_appender_append_double(ByteBuffer appender_ref, double value)

### duckdb_jdbc_appender_append_string

protected static void duckdb_jdbc_appender_append_string(ByteBuffer appender_ref, String value)